Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.annotation.impl
Class ActionCommandProcessor

    java.lang.Object
      com.pietschy.command.annotation.impl.AbstractAnnotationProcessor<ActionCommand_>
          com.pietschy.command.annotation.impl.ActionCommandProcessor

All Implemented Interfaces:
  AnnotationProcessor<ActionCommand_>

    public class ActionCommandProcessor

extends AbstractAnnotationProcessor<ActionCommand_>

Default processor for handling the @ActionCommand annotation.

The commands created are instances of `ReflectionCommand`.

Nested Class Summary

Nested classes/interfaces inherited from class com.pietschy.command.annotation.impl.AbstractAnnotationProcessor
`AbstractAnnotationProcessor.CommandProvider, AbstractAnnotationProcessor.InvokerWindowProvider, AbstractAnnotationProcessor.ParameterProvider`

Constructor Summary
`ActionCommandProcessor()`

Method Summary
`Command` | `createCommand(java.lang.Object target, java.lang.reflect.Method method)` Creates a new `ReflectionCommand` to invoke the specified method on the specified target.
`java.lang.Class<ActionCommand_>` | `getAnnotation()` Returns the annotation class handled by this processor.

Methods inherited from class com.pietschy.command.annotation.impl.AbstractAnnotationProcessor
`createArgumentProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionCommandProcessor

    public ActionCommandProcessor()

Method Detail

### getAnnotation

    public java.lang.Class<ActionCommand_> getAnnotation()

  Returns the annotation class handled by this processor.

  Returns:
    the annotation class handled by this processor.

### createCommand

    public Command createCommand(java.lang.Object target,
                                 java.lang.reflect.Method method)

  Creates a new `ReflectionCommand` to invoke the specified method on the specified target.

  Parameters:
    `target` - the target object.
    `method` - the method to invoke.
  Returns:
    a new ActionCommand to invoke the specified method on the specified target.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch